#pragma once
#include "body.h"
#include "star_system.h"

class Frame;

class Star: public Body {
public:
  Star(StarSystem::BodyType type);
  virtual ~Star(void) { };
  virtual void SetPosition(vector3d p);
  virtual vector3d GetPosition(void);
  void SetRadius(double radius) { this->radius = radius; }
  double GetRadius(void) { return radius; }
  virtual void Render(const Frame* camFrame);

private:
  StarSystem::BodyType type;
  vector3d pos;
  double radius;
};

