#pragma once
#include "libs.h"
#include "sbre/sbre.h"

struct coltri_t {
  int v1, v2, v3, flags;
};

struct meshinfo_t {
  int flags;
  int triStart; /* Into triIndices. */
  int numTris;
};

class CollMeshSet {
public:
  CollMesh* sbreCollMesh;
  coltri_t* triIndices;
  dTriMeshDataID* meshParts;
  meshinfo_t* meshInfo;
  int numMeshParts;

  CollMeshSet(int sbreModel);
private:
  void GetMeshParts(void);
};

CollMeshSet* GetModelCollMeshSet(int sbreModel);
CollMesh* GetModelSBRECollMesh(int sbreModel);

